Module java.base
Package java.lang

# Class LinkageError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BootstrapMethodError`, `ClassCircularityError`, `ClassFormatError`, `ExceptionInInitializerError`, `IncompatibleClassChangeError`, `NoClassDefFoundError`, `UnsatisfiedLinkError`, `VerifyError`

    public class LinkageError
    extends Error

Subclasses of `LinkageError` indicate that a class has some dependency on another class; however, the latter class has incompatibly changed after the compilation of the former class.

Since:
  1.0
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LinkageError()` | Constructs a `LinkageError` with no detail message.
`LinkageError​(String s)` | Constructs a `LinkageError` with the specified detail message.
`LinkageError​(String s, Throwable cause)` | Constructs a `LinkageError` with the specified detail message and cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LinkageError

public LinkageError()
Constructs a `LinkageError` with no detail message.

### LinkageError

public LinkageError​(String s)
Constructs a `LinkageError` with the specified detail message.

Parameters:
  `s` - the detail message.

### LinkageError

public LinkageError​(String s, Throwable cause)
Constructs a `LinkageError` with the specified detail message and cause.

Parameters:
  `s` - the detail message.
  `cause` - the cause, may be `null`
Since:
  1.7